DictParentChild Class Reference

`#include <DictParentChild.h>`

Inheritance diagram for DictParentChild:
Collaboration diagram for DictParentChild:

## Public Member Functions

| DictParentChild (const DictObjCont &dictObjCont, DictDataInfo &dictDataInfo)
virtual | ~DictParentChild ()
const DictObjCont & | GetDictObjCont ()
Public Member Functions inherited from ParentChild
| ParentChild ()
virtual | ~ParentChild ()
const std::vector< std::vector< std::string > > & | GetComboKeys (const std::string &catName)
std::vector< std::vector< std::vector< std::string > > > & | GetChildrenKeys (const std::vector< std::string > &parComboKey)
void | GetParents (std::vector< std::vector< std::string > > &parParKeys, std::vector< std::vector< std::string > > &comboComboKeys, const std::string &childCat)
void | GetLinkGroupIdLabel (std::string &linkGroupIdLabel, const std::vector< std::string > &parKeys, const std::vector< std::string > &childKeys)
bool | IsParKeyPresent (const std::vector< std::string > &parKey, const std::string &childCatName)
bool | IsInParentComboKeys (const std::string &itemName)

## Protected Member Functions

void | GetParentCifItems (std::vector< std::string > &parCifItems, const std::string &cifItemName)
Protected Member Functions inherited from ParentChild
void | GetComboKeys (const std::string &parCatName, const unsigned int maxKeyGroup, ISTable &keysTable, std::vector< std::vector< std::string > > &comboKeys, std::vector< std::string > &parKeys)
void | AddParentCategoryToItemLinkedGroup (ISTable &itemLinkedGroup, ISTable &itemLinkedGroupList)
void | CreateAllRelations (ISTable &itemLinkedGroup, ISTable &itemLinkedGroupList)
void | ISTableFindPairs (std::map< std::string, std::vector< std::vector< std::string > > > &childrenKeys, const std::vector< std::string > &parKeys, ISTable &itemLinkedGroupList)
void | UpdateMap (std::map< std::string, std::vector< std::vector< std::string > > > &childrenKeys, const std::string &childCat, std::vector< std::string > &childKeys)
void | UpdateParComboKeys (const std::string &parName, std::vector< std::string > &parKeys)
void | UpdateRelations (std::vector< std::string > &parKeys, std::vector< std::vector< std::string > > &comboKeys)
bool | KeysMatch (const std::vector< std::string > &firstKey, const std::vector< std::string > &secondKey)

## Protected Attributes

const DictObjCont & | _dictObjCont
DictDataInfo & | _dictDataInfo
Protected Attributes inherited from ParentChild
std::map< std::string, std::vector< std::vector< std::string > > > | _parComboKeys
std::map< std::vector< std::string >, std::vector< std::vector< std::vector< std::string > > > > | _relations

## Additional Inherited Members

Public Attributes inherited from ParentChild
ISTable * | _groupTableP
ISTable * | _groupListTableP

## Constructor & Destructor Documentation

## DictParentChild()

DictParentChild::DictParentChild | ( | const DictObjCont & | dictObjCont,
|  | DictDataInfo & | dictDataInfo )

## ~DictParentChild()

virtual DictParentChild::~DictParentChild | ( |  | ) |

virtual

## Member Function Documentation

## GetDictObjCont()

const DictObjCont & DictParentChild::GetDictObjCont | ( |  | ) |

## GetParentCifItems()

void DictParentChild::GetParentCifItems | ( | std::vector< std::string > & | parCifItems,
|  | const std::string & | cifItemName )

protected virtual

Implements ParentChild.

## Member Data Documentation

## _dictDataInfo

DictDataInfo& DictParentChild::_dictDataInfo

protected

## _dictObjCont

const DictObjCont& DictParentChild::_dictObjCont

protected

The documentation for this class was generated from the following file:

- rcsb/DictParentChild.h